Subject: bug#75553: 31.0.50; custom-load-symbol should respect message verbosity

From: Johann Höchtl <[email-masked]>
Date: Tue, 14 Jan 2025 16:26:27 +0100

It's not important in the sense as it does not impair daily work. It is
more the appearance of a tool spilling debug information which gives a
somewhat unprofessional look. That's about it.

Am Di., 14. Jan. 2025 um 14:01 Uhr schrieb Eli Zaretskii <[email-masked]>:

> > From: Johann Höchtl <[email-masked]>
> > Date: Tue, 14 Jan 2025 08:14:08 +0100
> >
> > I find the load messages during startup, caused by (custom-load-symbol
> 'foo) disturbing.
> >
> > That is caused by the fact that the API of custom-load-symbaol has no
> means to respect the setting of
> > force-load-messages when loading a library.
> >
> > Please do note, that this analysis has been made by and is described in
> more detail in
> >
> >
> https://emacs.stackexchange.com/questions/82904/disable-echo-area-during-startup/82924#82924
>
> I don't think force-load-messages is what you want, because that
> variable is used for the opposite purpose: to avoid suppressing
> "Loading FOO..." messages.  Whereas you want to suppress those
> messages.
>
> I don't understand why you want to suppress those messages, though.
> Those messages are normal in Emacs: they are shown every time Emacs
> loads a Lisp package.  custom-load is not special in any way in this
> regard.
>
> Why is it important to suppress that?
>